Name:		GtkAda
Version:	2.4.0
Release:	6

Summary:	Ada95 graphical toolkit based on Gtk+

Group:		System Environment/Libraries
License:	GPL
URL:		http://libre.act-europe.fr/GtkAda
Source:         http://libre.act-europe.fr/GtkAda/GtkAda-2.4.0.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-gnat, libgnat, perl, xorg-x11-devel
BuildRequires:	gtk2-devel, libgnome-devel, libgnomeui-devel, bonobo-activation-devel, libbonoboui-devel, libglade2-devel
BuildRequires:  texinfo, tetex-dvips
ExcludeArch:	ppc ppc64

%description
GtkAda is an Ada95 graphical toolkit based on Gtk+, providing the
complete set of Gtk+ widgets using the Object-Oriented features of
this language. GtkAda supports the latest 2.4 stable releases.

%package devel
Summary:	Development files for GtkAda
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, perl
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
Development files for GtkAda.

%prep
%setup -q

%build
%configure
(
    mkdir -p src/lib-obj;
    cd src/lib-obj;
)
make
make -C docs

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

# make libraries executables, otherwise dependencies are not found
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.*

cp -a ${RPM_BUILD_ROOT}%{_datadir} .
rm -fr ${RPM_BUILD_ROOT}%{_datadir}
cp -a ${RPM_BUILD_ROOT}%{_prefix}/doc .
rm -fr ${RPM_BUILD_ROOT}%{_prefix}/doc
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
(cd docs; install -m 0644 dgate.1 gate.1 gtkada-config.1 ${RPM_BUILD_ROOT}%{_mandir}/man1)

# this conflicts with gdialog from gnome-utils
rm -f ${RPM_BUILD_ROOT}%{_bindir}/gdialog

rm -fr ${RPM_BUILD_ROOT}%{_prefix}/projects

mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
cp -a doc/GtkAda/gtkada_rm/*.info* ${RPM_BUILD_ROOT}%{_infodir}
cp -a doc/GtkAda/gtkada_ug/*.info* ${RPM_BUILD_ROOT}%{_infodir}

# prepare documentation in separate directory
# in order to leave doc/GtkAda untouched
rm -fr doc-install
mkdir doc-install
cp -fr doc/GtkAda/gtkada_rm doc/GtkAda/gtkada_ug doc-install
rm -f doc-install/gtkada_rm/*.info*
rm -f doc-install/gtkada_rm/*.ps
rm -f doc-install/gtkada_rm/*.tex*
rm -f doc-install/gtkada_rm/*.txt
rm -f doc-install/gtkada_ug/*.info*
rm -f doc-install/gtkada_ug/*.ps
rm -f doc-install/gtkada_ug/*.tex*
rm -f doc-install/gtkada_ug/*.txt

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gtkada_rm.info %{_infodir}/dir 2>/dev/null || :
/sbin/install-info %{_infodir}/gtkada_ug.info %{_infodir}/dir 2>/dev/null || :

%preun devel
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/gtkada_rm.info %{_infodir}/dir 2>/dev/null || :
  /sbin/install-info --delete %{_infodir}/gtkada_ug.info %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/gtkada
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_mandir}/man*/*
%{_infodir}/*
%doc share/gtkada/examples
%doc doc-install/*
%doc known-problems

%changelog
* Thu May 12 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.4.0-6
- Add excludearch ppc ppc64 (no gcc-gnat currently for those) #157550

* Tue May 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.4.0-5
- Remove excludearch x86_64 (gcc-gnat now in FC4 for x86_64)
- BR textinfo, tetex-dvips

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.4.0-4
- rebuilt

* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-3
- Excluded arch x86_64

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-2
- Removed touching /usr/include/gtkada/*

* Sat Jan 22 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-0.fdr.1
- New Version 2.4.0

* Sat May 29 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.1-0.fdr.2
- Replaced XFree86 reference with xorg

* Fri Nov 21 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.1-0.fdr.1
- New Version 2.2.1

* Mon Nov 10 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.5
- Work around to compiler bug

* Tue Oct 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.3
- Better placing of documentation files

* Mon Oct 27 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.2
- Improved specfile

* Sun Oct 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.1
- First Fedora release
